cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-trusted-owners \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"trusted_owners": [
{
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"external_owner_id": "<string>",
"id": "<string>",
"type": "AWS_ACCOUNT_ID"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List all private endpoint trusted owners for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
private-endpoint-trusted-owners
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-trusted-owners \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"trusted_owners": [
{
"cluster_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"external_owner_id": "<string>",
"id": "<string>",
"type": "AWS_ACCOUNT_ID"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Limited Access and may not be available to all users. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id is the ID for the cluster.
Response
A successful response.
trusted_owners describes the private endpoint trusted owner entries for the requested cluster.
Show child attributes
Show child attributes

